<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class StickerMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $url = null;
    


    protected $fileSha256 = null;
    


    protected $fileEncSha256 = null;
    


    protected $mediaKey = null;
    


    protected $mimetype = null;
    


    protected $height = null;
    


    protected $width = null;
    


    protected $directPath = null;
    


    protected $fileLength = null;
    


    protected $weight = null;
    


    protected $lastStickerSentTs = null;
    


    protected $isLottie = null;
    


    protected $imageHash = null;
    


    protected $isAvatarSticker = null;

    





















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getUrl()
    {
        return isset($this->url) ? $this->url : '';
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->url = $var;

        return $this;
    }

    



    public function getFileSha256()
    {
        return isset($this->fileSha256) ? $this->fileSha256 : '';
    }

    public function hasFileSha256()
    {
        return isset($this->fileSha256);
    }

    public function clearFileSha256()
    {
        unset($this->fileSha256);
    }

    




    public function setFileSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileSha256 = $var;

        return $this;
    }

    



    public function getFileEncSha256()
    {
        return isset($this->fileEncSha256) ? $this->fileEncSha256 : '';
    }

    public function hasFileEncSha256()
    {
        return isset($this->fileEncSha256);
    }

    public function clearFileEncSha256()
    {
        unset($this->fileEncSha256);
    }

    




    public function setFileEncSha256($var)
    {
        GPBUtil::checkString($var, False);
        $this->fileEncSha256 = $var;

        return $this;
    }

    



    public function getMediaKey()
    {
        return isset($this->mediaKey) ? $this->mediaKey : '';
    }

    public function hasMediaKey()
    {
        return isset($this->mediaKey);
    }

    public function clearMediaKey()
    {
        unset($this->mediaKey);
    }

    




    public function setMediaKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->mediaKey = $var;

        return $this;
    }

    



    public function getMimetype()
    {
        return isset($this->mimetype) ? $this->mimetype : '';
    }

    public function hasMimetype()
    {
        return isset($this->mimetype);
    }

    public function clearMimetype()
    {
        unset($this->mimetype);
    }

    




    public function setMimetype($var)
    {
        GPBUtil::checkString($var, True);
        $this->mimetype = $var;

        return $this;
    }

    



    public function getHeight()
    {
        return isset($this->height) ? $this->height : 0;
    }

    public function hasHeight()
    {
        return isset($this->height);
    }

    public function clearHeight()
    {
        unset($this->height);
    }

    




    public function setHeight($var)
    {
        GPBUtil::checkUint32($var);
        $this->height = $var;

        return $this;
    }

    



    public function getWidth()
    {
        return isset($this->width) ? $this->width : 0;
    }

    public function hasWidth()
    {
        return isset($this->width);
    }

    public function clearWidth()
    {
        unset($this->width);
    }

    




    public function setWidth($var)
    {
        GPBUtil::checkUint32($var);
        $this->width = $var;

        return $this;
    }

    



    public function getDirectPath()
    {
        return isset($this->directPath) ? $this->directPath : '';
    }

    public function hasDirectPath()
    {
        return isset($this->directPath);
    }

    public function clearDirectPath()
    {
        unset($this->directPath);
    }

    




    public function setDirectPath($var)
    {
        GPBUtil::checkString($var, True);
        $this->directPath = $var;

        return $this;
    }

    



    public function getFileLength()
    {
        return isset($this->fileLength) ? $this->fileLength : 0;
    }

    public function hasFileLength()
    {
        return isset($this->fileLength);
    }

    public function clearFileLength()
    {
        unset($this->fileLength);
    }

    




    public function setFileLength($var)
    {
        GPBUtil::checkUint64($var);
        $this->fileLength = $var;

        return $this;
    }

    



    public function getWeight()
    {
        return isset($this->weight) ? $this->weight : 0.0;
    }

    public function hasWeight()
    {
        return isset($this->weight);
    }

    public function clearWeight()
    {
        unset($this->weight);
    }

    




    public function setWeight($var)
    {
        GPBUtil::checkFloat($var);
        $this->weight = $var;

        return $this;
    }

    



    public function getLastStickerSentTs()
    {
        return isset($this->lastStickerSentTs) ? $this->lastStickerSentTs : 0;
    }

    public function hasLastStickerSentTs()
    {
        return isset($this->lastStickerSentTs);
    }

    public function clearLastStickerSentTs()
    {
        unset($this->lastStickerSentTs);
    }

    




    public function setLastStickerSentTs($var)
    {
        GPBUtil::checkInt64($var);
        $this->lastStickerSentTs = $var;

        return $this;
    }

    



    public function getIsLottie()
    {
        return isset($this->isLottie) ? $this->isLottie : false;
    }

    public function hasIsLottie()
    {
        return isset($this->isLottie);
    }

    public function clearIsLottie()
    {
        unset($this->isLottie);
    }

    




    public function setIsLottie($var)
    {
        GPBUtil::checkBool($var);
        $this->isLottie = $var;

        return $this;
    }

    



    public function getImageHash()
    {
        return isset($this->imageHash) ? $this->imageHash : '';
    }

    public function hasImageHash()
    {
        return isset($this->imageHash);
    }

    public function clearImageHash()
    {
        unset($this->imageHash);
    }

    




    public function setImageHash($var)
    {
        GPBUtil::checkString($var, True);
        $this->imageHash = $var;

        return $this;
    }

    



    public function getIsAvatarSticker()
    {
        return isset($this->isAvatarSticker) ? $this->isAvatarSticker : false;
    }

    public function hasIsAvatarSticker()
    {
        return isset($this->isAvatarSticker);
    }

    public function clearIsAvatarSticker()
    {
        unset($this->isAvatarSticker);
    }

    




    public function setIsAvatarSticker($var)
    {
        GPBUtil::checkBool($var);
        $this->isAvatarSticker = $var;

        return $this;
    }

}

